// Darstellung eines importierten 3D-Modells (Fisch) 
// A. Filler, Humboldt-Universitaet zu Berlin, 2002
// ---------------------------------------------------------------
#version 3.5;                                    // bentigte POV-Ray-Version
background { color rgb <1, 1, 1> }               // Hintergrundfarbe (wei)
global_settings { ambient_light rgb<1, 1, 1> }   // Intensitaet des ambienten Lichtes

// Definition der Oberflaechen fuer die einzelnen Koerperteile des Fisches 
// (diese Texturen wurden durch das Programm 3ds2pov aus der .3ds-Datei erzeugt.
#declare BODY = texture {finish {ambient 0.1 diffuse 0.9 phong 0.5 phong_size 14 metallic } pigment { rgb <0.5, 0.9, 0.7> } }
#declare EYEBALL = texture {finish {ambient 0.1 diffuse 0.9 phong 0.7 phong_size 21 metallic } pigment { rgb <0.98, 0.98, 0.98> } }
#declare FINS = texture {finish {ambient 0.1 diffuse 0.9 phong 0.5 phong_size 14 metallic } pigment { rgb <1, 1, 0.4> } }
#declare MOUTH = texture {finish {ambient 0.1 diffuse 0.9 phong 0.5 phong_size 14 metallic  } pigment { rgb <0.92, 0.7, 0.8> } }
#declare PUPIL = texture {finish {ambient 0.1 diffuse 0.9 phong 1 phong_size 35 metallic } pigment { rgb <0.2, 0.6, 0.9> } }
#declare TAIL = texture {finish {ambient 0.1 diffuse 0.9 phong 0.5 phong_size 14 metallic } pigment { rgb <0.9, 1, 0.1> } }

// Einfuegen der Geometriedaten fuer den Fisch
// Die Dateien "abb29a-FISH.INC" (fr den ungegltteten Fisch) bzw. "abb29b-FISHGlatt.INC" 
// (fr den gegltteten Fisch) muessen sich in demselben Ordner befinden wie diese POV-Ray-Datei.
// Kommentieren Sie die Eingabe fuer die Version, die Sie NICHT rendern moechten, mit "//" aus.

object { union {

#include "FISH.INC"          // fr ungegltteten Fisch
//#include "FISHGlatt.INC"   // fr gegltteten Fisch

} #rotate <-90,180,0> #no_shadow  }

// Definition der Kamera und der Lichtquellen
camera { orthographic   location  <600, 200, 0>  right x*4/3*10   up y*10  look_at   <0.0, 0,  0.0> }
light_source { <25, 20, -50>  color rgb <0.5, 0.5, 0.5> }
light_source { <0,100,50>  color rgb <0.6, 0.6, 0.6> }
light_source { <200, -200, 1000>   color rgb <0.3, 0.3, 0.3>}
 